# web-ui-deps

### The dependencies 

| LIB                                 | LICENCE                                    | VERSION  | LAST VERSION  | LINK                                                              | TEMP |
|-------------------------------------|--------------------------------------------|----------|---------------|-------------------------------------------------------------------|------|
| @babel/core                         | MIT                                        | 7.17.9   | 7.17.9        | https://www.npmjs.com/package/@babel/core                         | -    |
| @babel/plugin-transform-runtime     | MIT                                        | 7.16.7   | 7.16.7        | https://www.npmjs.com/package/@babel/plugin-transform-runtime     | -    |
| @babel/preset-env                   | MIT                                        | 7.16.7   | 7.16.7        | https://www.npmjs.com/package/@babel/preset-env                   | -    |
| @cubejs-client/core                 | MIT                                        | 0.29.8   | 0.29.54       | https://www.npmjs.com/package/@cubejs-client/core                 | -    |
| @dagrejs/graphlib                   | MIT                                        | 2.1.4    | 2.1.4         | https://www.npmjs.com/package/@dagrejs/graphlib                   | -    |
| @fortawesome/fontawesome-svg-core   | MIT                                        | 1.2.36   | 1.2.36        | https://www.npmjs.com/package/@fortawesome/fontawesome-svg-core   | -    |
| @fortawesome/free-brands-svg-icons  | CC-BY-4.0 AND MIT                          | 5.15.4   | 5.15.4        | https://www.npmjs.com/package/@fortawesome/free-brands-svg-icons  | -    |
| @fortawesome/free-regular-svg-icons | CC-BY-4.0 AND MIT                          | 5.15.4   | 5.15.4        | https://www.npmjs.com/package/@fortawesome/free-regular-svg-icons | -    |
| @fortawesome/free-solid-svg-icons   | CC-BY-4.0 AND MIT                          | 5.15.4   | 5.15.4        | https://www.npmjs.com/package/@fortawesome/free-solid-svg-icons   | -    |
| @fortawesome/react-fontawesome      | MIT                                        | 0.1.16   | 0.1.16        | https://www.npmjs.com/package/@fortawesome/react-fontawesome      | -    |
| @microsoft/signalr                  | MIT                                        | 5.0.13   | 6.0.1         | https://www.npmjs.com/package/@microsoft/signalr                  | -    |
| @openid/appauth                     | Apache-2.0                                 | 1.3.1    | 1.3.1         | https://www.npmjs.com/package/@openid/appauth                     | -    |
| @types/bluebird                     | MIT                                        | 3.5.36   | 3.5.36        | https://www.npmjs.com/package/@types/bluebird                     | -    |
| @types/core-js                      | MIT                                        | 2.5.5    | 2.5.5         | https://www.npmjs.com/package/@types/core-js                      | -    |
| @types/draft-js                     | MIT                                        | 0.11.9   | 0.11.9        | https://www.npmjs.com/package/@types/draft-js                     | -    |
| @types/draftjs-to-html              | MIT                                        | 0.8.1    | 0.8.1         | https://www.npmjs.com/package/@types/draftjs-to-html              | -    |
| @types/enquire.js                   | MIT                                        | 2.1.3    | 2.1.3         | https://www.npmjs.com/package/@types/enquire.js                   | -    |
| @types/google-libphonenumber        | MIT                                        | 7.4.23   | 7.4.23        | https://www.npmjs.com/package/@types/google-libphonenumber        | -    |
| @types/google.maps                  | MIT                                        | 3.47.2   | 3.47.2        | https://www.npmjs.com/package/@types/google.maps                  | -    |
| @types/google.visualization         | MIT                                        | 0.0.68   | 0.0.68        | https://www.npmjs.com/package/@types/google.visualization         | -    |
| @types/history                      | MIT                                        | 4.7.9    | 4.7.9         | https://www.npmjs.com/package/@types/history                      | -    |
| @types/html-to-draftjs              | MIT                                        | 1.4.0    | 1.4.0         | https://www.npmjs.com/package/@types/html-to-draftjs              | -    |
| @types/jasmine                      | MIT                                        | 2.8.8    | 2.8.8         | https://www.npmjs.com/package/@types/jasmine                      | -    |
| @types/jquery                       | MIT                                        | 3.5.11   | 3.5.11        | https://www.npmjs.com/package/@types/jquery                       | -    |
| @types/jqueryui                     | MIT                                        | 1.12.16  | 1.12.16       | https://www.npmjs.com/package/@types/jqueryui                     | -    |
| @types/node                         | MIT                                        | 17.0.8   | 17.0.8        | https://www.npmjs.com/package/@types/node                         | -    |
| @types/prop-types                   | MIT                                        | 15.7.4   | 15.7.4        | https://www.npmjs.com/package/@types/prop-types                   | -    |
| @types/ramda                        | MIT                                        | 0.27.62  | 0.27.62       | https://www.npmjs.com/package/@types/ramda                        | -    |
| **@types/react**                    | MIT                                        | 18.0.18  | 18.0.18       | https://www.npmjs.com/package/@types/react                        | -    |
| @types/react-beautiful-dnd          | MIT                                        | 13.1.2   | 13.1.2        | https://www.npmjs.com/package/@types/react-beautiful-dnd          | -    |
| **@types/react-dom**                | MIT                                        | 18.0.6   | 18.0.6        | https://www.npmjs.com/package/@types/react-dom                    | -    |
| @types/react-draft-wysiwyg          | MIT                                        | 1.13.4   | 1.13.4        | https://www.npmjs.com/package/@types/react-draft-wysiwyg          | -    |
| @types/socket.io-client             | MIT                                        | 1.4.35   | 3.0.0         | https://www.npmjs.com/package/@types/socket.io-client             | +    |
| @types/sprintf-js                   | MIT                                        | 1.1.2    | 1.1.2         | https://www.npmjs.com/package/@types/sprintf-js                   | -    |
| @types/urijs                        | MIT                                        | 1.19.17  | 1.19.17       | https://www.npmjs.com/package/@types/urijs                        | -    |
| @types/uuid                         | MIT                                        | 8.3.4    | 8.3.4         | https://www.npmjs.com/package/@types/uuid                         | -    |
| @typescript-eslint/eslint-plugin    | MIT                                        | 5.22.0   | 5.22.0        | https://www.npmjs.com/package/@typescript-eslint/eslint-plugin    | -    |
| @typescript-eslint/parser           | MIT                                        | 5.22.0   | 5.22.0        | https://www.npmjs.com/package/@typescript-eslint/parser           | -    |
| @typopro/web-montserrat             | MIT AND Apache-2.0 AND OFL-1.1 AND CC0-1.0 | 3.7.5    | 3.7.5         | https://www.npmjs.com/package/@typopro/web-montserrat             | -    |
| @zxing/library                      | MIT                                        | 0.18.6   | 0.18.6        | https://www.npmjs.com/package/@zxing/library                      | -    |
| animate.css                         | MIT                                        | 4.1.1    | 4.1.1         | https://www.npmjs.com/package/animate.css                         | -    |
| autobind-decorator                  | MIT                                        | 2.4.0    | 2.4.0         | https://www.npmjs.com/package/autobind-decorator                  | -    |
| axios                               | MIT                                        | 0.24.0   | 0.24.0        | https://www.npmjs.com/package/axios                               | -    |
| babel-loader                        | MIT                                        | 8.2.3    | 8.2.3         | https://www.npmjs.com/package/babel-loader                        | -    |
| bluebird                            | MIT                                        | 3.7.2    | 3.7.2         | https://www.npmjs.com/package/bluebird                            | -    |
| blueimp-canvas-to-blob              | MIT                                        | 3.29.0   | 3.29.0        | https://www.npmjs.com/package/blueimp-canvas-to-blob              |
| chart.js                            | MIT                                        | 2.9.3    | 3.7.0         | https://www.npmjs.com/package/chart.js                            | -    |
| classlist-polyfill                  | Unlicensed                                 | 1.2.0    | 1.2.0         | https://www.npmjs.com/package/classlist-polyfill                  | +    |
| compressorjs                        | MIT                                        | 1.1.1    | 1.1.1         | https://www.npmjs.com/package/compressorjs                        |
| copy-webpack-plugin                 | MIT                                        | 4.6.0    | 10.2.0        | https://www.npmjs.com/package/copy-webpack-plugin                 |
| core-js                             | MIT                                        | 3.6.5    | 3.22.4        | https://www.npmjs.com/package/core-js                             | -    |
| cropperjs                           | MIT                                        | 1.5.12   | 1.5.12        | https://www.npmjs.com/package/cropperjs                           | -    |
| cross-env                           | MIT                                        | 7.0.3    | 7.0.3         | https://www.npmjs.com/package/cross-env                           | -    |
| crossvent                           | MIT                                        | 1.5.5    | 1.5.5         | https://www.npmjs.com/package/crossvent                           | -    |
| crypto-js                           | MIT                                        | 4.1.1    | 4.1.1         | https://www.npmjs.com/package/crypto-js                           | -    |
| css-loader                          | MIT                                        | 3.2.1    | 6.5.1         | https://www.npmjs.com/package/css-loader                          | -    |
| csstype                             | MIT                                        | 3.0.10   | 3.0.10        | https://www.npmjs.com/package/csstype                             | -    |
| dom-scroll-into-view                | MIT                                        | 2.0.1    | 2.0.1         | https://www.npmjs.com/package/dom-scroll-into-view                |
| draft-js                            | MIT                                        | 0.11.7   | 0.11.7        | https://www.npmjs.com/package/draft-js                            | -    |
| draftjs-to-html                     | MIT                                        | 0.9.1    | 0.9.1         | https://www.npmjs.com/package/draftjs-to-html                     | -    |
| enquire.js                          | MIT                                        | 2.1.6    | 2.1.6         | https://www.npmjs.com/package/enquire.js                          | -    |
| eslint                              | MIT                                        | 8.15.0   | 8.15.0        | https://www.npmjs.com/package/eslint                              | -    |
| event-emitter                       | MIT                                        | 0.3.5    | 0.3.5         | https://www.npmjs.com/package/event-emitter                       |
| file-loader                         | MIT                                        | 0.11.2   | 6.2.0         | https://www.npmjs.com/package/file-loader                         | -    |
| generate-json-webpack-plugin        | MIT                                        | 1.0.0    | 2.0.0         | https://www.npmjs.com/package/generate-json-webpack-plugin        | -    |
| geolib                              | MIT                                        | 3.3.3    | 3.3.3         | https://www.npmjs.com/package/geolib                              | -    |
| google-charts                       | MIT                                        | 2.0.0    | 2.0.0         | https://www.npmjs.com/package/google-charts                       | +    |
| google-libphonenumber               | MIT+Apache-2.0                             | 3.2.26   | 3.2.26        | https://www.npmjs.com/package/google-libphonenumber               | -    |
| gsap                                | GreenSock's standard "no charge" license   | 3.9.1    | 3.9.1         | https://www.npmjs.com/package/gsap                                | -    |
| html-to-draftjs                     | MIT                                        | 1.5.0    | 1.5.0         | https://www.npmjs.com/package/html-to-draftjs                     | -    |
| html-webpack-plugin                 | MIT                                        | 4.5.2    | 5.5.0         | https://www.npmjs.com/package/html-webpack-plugin                 | -    |
| immutable                           | MIT                                        | 3.7.6    | 4.0.0         | https://www.npmjs.com/package/immutable                           | -    |
| intl                                | MIT                                        | 1.2.5    | 1.2.5         | https://www.npmjs.com/package/intl                                | -    |
| inversify                           | MIT                                        | 4.13.0   | 6.0.1         | https://www.npmjs.com/package/inversify                           | -    |
| inversify-binding-decorators        | MIT                                        | 3.2.0    | 4.0.0         | https://www.npmjs.com/package/inversify-binding-decorators        | -    |
| inversify-inject-decorators         | MIT                                        | 3.1.0    | 3.1.0         | https://www.npmjs.com/package/inversify-inject-decorators         | -    |
| is-promise                          | MIT                                        | 4.0.0    | 4.0.0         | https://www.npmjs.com/package/is-promise                          | -    |
| jasmine-core                        | MIT                                        | 2.99.1   | 4.1.0         | https://www.npmjs.com/package/jasmine-core                        | -    |
| jquery                              | MIT                                        | 3.6.0    | 3.6.0         | https://www.npmjs.com/package/jquery                              | -    |
| jquery-ui                           | MIT                                        | 1.13.0   | 1.13.0        | https://www.npmjs.com/package/jquery-ui                           | -    |
| js-base64                           | BSD-3-Clause                               | 3.7.2    | 3.7.2         | https://www.npmjs.com/package/js-base64                           | -    |
| jsbarcode                           | MIT                                        | 3.11.5   | 3.11.5        | https://www.npmjs.com/package/jsbarcode                           | -    |
| jwt-decode                          | MIT                                        | 3.1.2    | 3.1.2         | https://www.npmjs.com/package/jwt-decode                          | -    |
| localforage                         | Apache-2.0                                 | 1.10.0   | 1.10.0        | https://www.npmjs.com/package/localforage                         | -    |
| matchmedia-polyfill                 | MIT                                        | 0.3.2    | 0.3.2         | https://www.npmjs.com/package/matchmedia-polyfill                 | -    |
| material-components-web             | MIT                                        | 0.40.1   | 13.0.0        | https://www.npmjs.com/package/material-components-web             | +    |
| memoizee                            | ISC                                        | 0.4.15   | 0.4.15        | https://www.npmjs.com/package/memoizee                            | -    |
| memoizee-decorator                  | MIT                                        | 1.0.3    | 1.0.3         | https://www.npmjs.com/package/memoizee-decorator                  | -    |
| mini-css-extract-plugin             | MIT                                        | 1.6.2    | 2.4.6         | https://www.npmjs.com/package/mini-css-extract-plugin             | -    |
| moment                              | MIT                                        | 2.29.1   | 2.29.1        | https://www.npmjs.com/package/moment                              | -    |
| moment-timezone                     | MIT                                        | 0.5.34   | 0.5.34        | https://www.npmjs.com/package/moment-timezone                     | -    |
| mustache                            | MIT                                        | 4.2.0    | 4.2.0         | https://www.npmjs.com/package/mustache                            | -    |
| node-sass                           | MIT                                        | 4.14.1   | 7.0.1         | https://www.npmjs.com/package/node-sass                           | -    |
| normalize.css                       | MIT                                        | 8.0.1    | 8.0.1         | https://www.npmjs.com/package/normalize.css                       | -    |
| nouislider                          | MIT                                        | 15.5.0   | 15.5.0        | https://www.npmjs.com/package/nouislider                          | -    |
| nuka-carousel                       | MIT                                        | 4.8.4    | 4.8.4         | https://www.npmjs.com/package/nuka-carousel                       | -    |
| pdfjs-dist                          | Apache-2.0                                 | 2.0.489  | 2.12.313      | https://www.npmjs.com/package/pdfjs-dist                          |
| **perfect-scrollbar**               | MIT                                        | 1.5.5    | 1.5.5         | https://www.npmjs.com/package/perfect-scrollbar                   |
| platform                            | MIT                                        | 1.3.6    | 1.3.6         | https://www.npmjs.com/package/platform                            | -    |
| prop-types                          | MIT                                        | 15.8.1   | 15.8.1        | https://www.npmjs.com/package/prop-types                          | -    |
| qrcode                              | MIT                                        | 1.5.0    | 1.5.0         | https://www.npmjs.com/package/qrcode                              | -    |
| radium                              | MIT                                        | 0.26.1   | 0.26.1        | https://www.npmjs.com/package/radium                              | -    |
| ramda                               | MIT                                        | 0.27.1   | 0.27.1        | https://www.npmjs.com/package/ramda                               | -    |
| raw-loader                          | MIT                                        | 0.5.1    | 4.0.2         | https://www.npmjs.com/package/raw-loader                          | -    |
| react                               | MIT                                        | 17.0.2   | 17.0.2        | https://www.npmjs.com/package/react                               | -    |
| react-beautiful-dnd                 | Apache-2.0                                 | 13.1.0   | 13.1.0        | https://www.npmjs.com/package/react-beautiful-dnd                 | -    |
| **react-dom**                       | MIT                                        | 18.2.0   | 18.2.0        | ://www.npmjs.com/package/react-dom                                | -    |
| react-draft-wysiwyg                 | MIT                                        | 1.14.7   | 1.14.7        | https://www.npmjs.com/package/react-draft-wysiwyg                 | -    |
| react-dropzone                      | MIT                                        | 11.4.2   | 11.4.2        | https://www.npmjs.com/package/react-dropzone                      | -    |
| **react-redux**                     | MIT                                        | 8.0.2    | 8.0.2         | https://www.npmjs.com/package/react-redux                         | -    |
| react-router-dom                    | MIT                                        | 4.3.1    | 6.2.1         | https://www.npmjs.com/package/react-router-dom                    | -    |
| react-text-mask                     | Unlicensed                                 | 5.4.3    | 5.4.3         | https://www.npmjs.com/package/react-text-mask                     | -    |
| react-webcam                        | MIT                                        | 6.0.0    | 6.0.0         | https://www.npmjs.com/package/react-webcam                        | -    |
| **redux**                           | MIT                                        | 4.2.0    | 4.2.0         | https://www.npmjs.com/package/redux                               | -    |
| **@redux-devtools/extension**       | MIT                                        | 3.2.3    | 3.2.3         | https://www.npmjs.com/package/@redux-devtools/extension           | -    |
| redux-effects-promise               | MIT                                        | 1.0.9    | 1.0.9         | https://www.npmjs.com/package/redux-effects-promise               | -    |
| reflect-metadata                    | Apache-2.0                                 | 0.1.13   | 0.1.13        | https://www.npmjs.com/package/reflect-metadata                    | -    |
| replace-in-file                     | MIT                                        | 6.3.2    | 6.3.2         | https://www.npmjs.com/package/replace-in-file                     | -    |
| resize-observer-polyfill            | MIT                                        | 1.5.1    | 1.5.1         | https://www.npmjs.com/package/resize-observer-polyfill            | -    |
| rimraf                              | ISC                                        | 3.0.2    | 3.0.2         | https://www.npmjs.com/package/rimraf                              | -    |
| sanitize-html                       | MIT                                        | 2.6.1    | 2.6.1         | https://www.npmjs.com/package/sanitize-html                       | -    |
| sass-flex-mixin                     | MIT                                        | 1.0.3    | 1.0.3         | https://www.npmjs.com/package/sass-flex-mixin                     | -    |
| sass-lint                           | MIT                                        | 1.13.1   | 1.13.1        | https://www.npmjs.com/package/sass-lint                           | -    |
| sass-loader                         | MIT                                        | 10.2.0   | 12.4.0        | https://www.npmjs.com/package/sass-loader                         | -    |
| sass-mixins                         | MIT                                        | 0.13.0   | 0.13.0        | https://www.npmjs.com/package/sass-mixins                         | -    |
| scroll-lock                         | MIT                                        | 2.1.5    | 2.1.5         | https://www.npmjs.com/package/scroll-lock                         | -    |
| smoothscroll-polyfill               | MIT                                        | 0.4.4    | 0.4.4         | https://www.npmjs.com/package/smoothscroll-polyfill               | -    |
| socket.io                           | MIT                                        | 2.4.1    | 4.4.1         | https://www.npmjs.com/package/socket.io                           | -    |
| socket.io-client                    | MIT                                        | 2.4.0    | 4.4.1         | https://www.npmjs.com/package/socket.io-client                    | -    |
| sprintf-js                          | BSD-3-Clause                               | 1.1.2    | 1.1.2         | https://www.npmjs.com/package/sprintf-js                          | -    |
| string-replace-webpack-plugin       | MIT                                        | 0.1.3    | 0.1.3         | https://www.npmjs.com/package/string-replace-webpack-plugin       | +    |
| tippy.js                            | MIT                                        | 6.3.7    | 6.3.7         | https://www.npmjs.com/package/tippy.js                            | -    |
| ts-custom-error                     | MIT                                        | 3.2.0    | 3.2.0         | https://www.npmjs.com/package/ts-custom-error                     | -    |
| ts-debounce                         | MIT                                        | 3.0.0    | 4.0.0         | https://www.npmjs.com/package/ts-debounce                         | +    |
| ts-loader                           | MIT                                        | 8.1.0    | 9.2.6         | https://www.npmjs.com/package/ts-loader                           | -    |
| ts-node                             | MIT                                        | 10.4.0   | 10.4.0        | https://www.npmjs.com/package/ts-node                             | -    |
| ts-smart-logger                     | MIT                                        | 0.1.0    | 0.1.0         | https://www.npmjs.com/package/ts-smart-logger                     | -    |
| ts-toolbelt                         | Apache-2.0                                 | 9.6.0    | 9.6.0         | https://www.npmjs.com/package/ts-toolbelt                         | -    |
| **tsconfig-paths-webpack-plugin**   | MIT                                        | 4.0.0    | 4.0.0         | https://www.npmjs.com/package/tsconfig-paths-webpack-plugin       | -    |
| **tslib**                           | 0BSD                                       | 2.4.0    | 2.4.0         | https://www.npmjs.com/package/tslib                               | -    |
| tslint                              | Apache-2.0                                 | 6.1.3    | 6.1.3         | https://www.npmjs.com/package/tslint                              | +    |
| tslint-loader                       | MIT                                        | 3.5.4    | 3.5.4         | https://www.npmjs.com/package/tslint-loader                       | +    |
| typescript                          | Apache-2.0                                 | 4.6.3    | 4.6.3         | https://www.npmjs.com/package/typescript                          | -    |
| uglifyjs-webpack-plugin             | MIT                                        | 2.2.0    | 2.2.0         | https://www.npmjs.com/package/uglifyjs-webpack-plugin             | -    |
| urijs                               | MIT                                        | 1.19.7   | 1.19.7        | https://www.npmjs.com/package/urijs                               | -    |
| uuid                                | MIT                                        | 8.3.2    | 8.3.2         | https://www.npmjs.com/package/uuid                                | -    |
| vrsource-tslint-rules               | MIT                                        | 6.0.0    | 6.0.0         | https://www.npmjs.com/package/vrsource-tslint-rules               | -    |
| webcamjs                            | MIT                                        | 1.0.26   | 1.0.26        | https://www.npmjs.com/package/webcamjs                            | -    |
| webpack                             | MIT                                        | 4.46.0   | 5.65.0        | https://www.npmjs.com/package/webpack                             | -    |
| webpack-bundle-analyzer             | MIT                                        | 4.5.0    | 4.5.0         | https://www.npmjs.com/package/webpack-bundle-analyzer             | -    |
| webpack-cli                         | MIT                                        | 3.3.12   | 4.9.1         | https://www.npmjs.com/package/webpack-cli                         | -    |
| webpack-dev-middleware              | MIT                                        | 3.7.3    | 5.3.0         | https://www.npmjs.com/package/webpack-dev-middleware              | -    |
| webpack-dev-server                  | MIT                                        | 3.11.3   | 4.7.2         | https://www.npmjs.com/package/webpack-dev-server                  | -    |
| webpack-merge                       | MIT                                        | 5.8.0    | 5.8.0         | https://www.npmjs.com/package/webpack-merge                       | -    |
| webpack-shell-plugin                | MIT                                        | 0.5.0    | 0.5.0         | https://www.npmjs.com/package/webpack-shell-plugin                | -    |
| xregexp                             | MIT                                        | 5.1.0    | 5.1.0         | https://www.npmjs.com/package/xregexp                             | -    |
| xss                                 | MIT                                        | 1.0.11   | 1.0.11        | https://www.npmjs.com/package/xss                                 | -    |
| **yargs**                           | MIT                                        | 17.5.1   | 17.5.1        | https://www.npmjs.com/package/yargs                               | -    |

### The descriptions

| LIB                            | DESCRIPTION                                                                                                    |
|--------------------------------|----------------------------------------------------------------------------------------------------------------|
| scroll-lock                    | Cross-browser JavaScript library to disable scrolling page                                                     |
| tippy.js                       | The complete tooltip, popover, dropdown, and menu solution for the web                                         |
| ts-custom-error                | Extend native Error to create custom errors                                                                    |
| ts-loader                      | This is the TypeScript loader for webpack                                                                      |
| ts-smart-logger                | An implementation of logger at TypeScript                                                                      |
| ts-toolbelt                    | TypeScript's largest utility library                                                                           |
| tsconfig-paths-webpack-plugin  | Use this to load modules whose location is specified in the paths section of tsconfig.json when using webpack. |
| tslib                          | This is a runtime library for TypeScript that contains all of the TypeScript helper functions                  |
| typescript                     | TypeScript is a language for application-scale JavaScript                                                      |
| xss                            | xss is a module used to filter input from users to prevent XSS attacks                                         |
